NEED Xcode 4.1!

Discussion in 'Mac Programming' started by Zackmd1, Mar 30, 2011.

  1. Zackmd1 macrumors 6502a

    Joined:
    Oct 3, 2010
    Location:
    Maryland US
    #1
    Does anyone have a link to a download for xcode 4.1? I need xcode in order to run another programing software for my engineering class and currently my macbook is running Mac OS X lion. Instead of having to format my entire computer I would really like to have Xcode 4.1.
    thanks
    zack
     
  2. wpotere Guest

    Joined:
    Oct 7, 2010
    #3

    If you are looking for it for free, you won't find it. You will need to be a dev or pay via the app store. Bad idea to run beta software on a box that you are using for school.
     
  3. Zackmd1 thread starter macrumors 6502a

    Joined:
    Oct 3, 2010
    Location:
    Maryland US
    #4
    I understand I can download it from apple but I'm not a paid developer so I don't have access to the beta xcode. Thanks though.
     
  4. Cromulent macrumors 603

    Cromulent

    Joined:
    Oct 2, 2006
    Location:
    The Land of Hope and Glory
    #5
    Tough **** then.
     
  5. Zackmd1 thread starter macrumors 6502a

    Joined:
    Oct 3, 2010
    Location:
    Maryland US
    #6
    Well this is the first time I'm using it for school. My macbook air is basically the test dummy while my iMac stores everything important. I'd rather program on my macbook then on the crappy computers that I have at my school.
     
  6. wpotere Guest

    Joined:
    Oct 7, 2010
    #7

    So you want someone to give it to you for free? :confused: Pay the flipping 5 dollars....
     
  7. chown33 macrumors 604

    Joined:
    Aug 9, 2009
    #8
    Xcode 4.1 doesn't exist yet.

    There is an Xcode 4.0, and the latest bug-fix revision of it is 4.0.1.

    You should already know this if you're running a legitimate copy of 10.7 Lion. Otherwise good luck with your use of unsupported software.
     
  8. Zackmd1 thread starter macrumors 6502a

    Joined:
    Oct 3, 2010
    Location:
    Maryland US
    #9
    Xcode 4 doesn't work on lion... It comes up with an error saying it requires Snow Leopard. Thats why I need Xcode 4.1.
     
  9. Zackmd1 thread starter macrumors 6502a

    Joined:
    Oct 3, 2010
    Location:
    Maryland US
    #10
    Its the developer preview of Xcode. And as for Lion... My friend who is a paid developer offered to install it on my mac.
     
  10. wpotere Guest

    Joined:
    Oct 7, 2010
    #11
    My bad...

    Then you are going to have a problem because no dev is going to just give it to you as it violates their agreement. It is also frowned on here on the forum. Your best bet is to reload SL and get your work done.
     
  11. cerote macrumors 6502a

    cerote

    Joined:
    Mar 2, 2009
    #12
    Well somehow you got a copy of Lion without a dev account then just go there. I mean Lion is a dev only thing too.
     
  12. Zackmd1 thread starter macrumors 6502a

    Joined:
    Oct 3, 2010
    Location:
    Maryland US
    #13
    Thats what I'm going to haft to do. I was hoping to get it done tonight as we start programming tomorrow. ( its the KISS C programing for botball if anyones wondering) Thanks guys for the help.
     
  13. wpotere Guest

    Joined:
    Oct 7, 2010
    #14
    Still recommend you get off of Beta for school. You could get some weird results....
     
  14. Zackmd1 thread starter macrumors 6502a

    Joined:
    Oct 3, 2010
    Location:
    Maryland US
    #15
    Currently I'm trying to clear some space for a snow leopard partition. 15.64Gb is kinda cutting it close.
     
  15. RedReplicant macrumors 6502a

    Joined:
    Mar 31, 2010
    #16
    Why not use a different IDE if you're just doing KISS-C anyway?
     
  16. ulbador macrumors 68000

    ulbador

    Joined:
    Feb 11, 2010
    #17
    Especially with a 4.5 gig download for Xcode.....
     

Share This Page